package com.engine.salary.formlua.entity.parameter;

import com.alibaba.fastjson.JSONObject;

/**
 * @className：
 * @Description：本地线程存储的Excel函数变量context，线程结束后会清空释放当前线程的变量context
 * @Author：
 * @date：
 */
public class ParamContext {
	public static ThreadLocal<ParamContext> fmCtx=new ThreadLocal<ParamContext>();
	private JSONObject jsonObject=new JSONObject();

	public static ParamContext get(){
		if(null==fmCtx.get()){
			fmCtx.set(new ParamContext());
		}
		return fmCtx.get();
	}
	public void setValue(String func,Object value){
		jsonObject.put(func,value);
	}
	public Object getValue(String func){
		return jsonObject.get(func);
	}
	public void removeContext(){
		fmCtx.remove();
	}
}
